# Start a grid data export

POST /v3/reports/grid/{gridEntityType}/exports

Use this endpoint to start an export for a Grid request. After calling this endpoint, use the /v3/exports endpoint to poll the status of
the export until it's finished. Then, you can download the results with the URL given by the /v3/exports endpoint.

Learn how to use the Grid export API

Endpoint: POST /v3/reports/grid/{gridEntityType}/exports
Security: API_Key

## Path parameters:

  - `gridEntityType` (string, required)
    grid entity type
    Enum: "web-audit-runs", "web-journey-runs", "pages", "cookies", "tags", "tag-variables", "links", "accessibility-issues", "network-requests", "browser-logs", "rules"

## Request fields (application/json):

  - `size` (integer)
    how many rows to include in the paginated response

  - `page` (integer)
    paginated response page number, starts with 0

  - `filters` (object)

  - `filters.conditions` (array)

  - `filters.conditions.negated` (boolean)
    If true, the filter will match entities where the value does not match

  - `filters.conditions.operator` (string, required)
    Enum: "string_contains", "string_contains_multi", "string_regex", "integer_in", "integer_list_contains", "number_between", "date_time_between", "date_time_relative", "is_present", "metric_alert_any", "list_item_matches"

  - `filters.conditions.filteredColumn` (any)

  - `filters.conditions.fieldName` (string)
    name of field of the entity reference object
    Enum: "id", "name", "preset_type", "domain", "link", "value", "first_name", "last_name", "email", "full_url_or_domain", "tag_id", "tag_category_id", "tag_vendor_id", "tag_account"

  - `filters.conditionMatchMode` (string)
    Specifies how to combine results of multiple conditions when determining if a row should be included in the result:
- all - all conditions must be met;
- any - at least one condition must be met.
Default is all.
    Enum: "all", "any"

  - `columns` (array)

  - `sortBy` (array)
    Sorts the result by the specified columns, in the same order as in the columns array.

  - `sortBy.columnIndex` (integer, required)
    Index of the column in the columns array

  - `sortBy.sortDesc` (boolean)
    If true, the column will be sorted in descending order. Default is ascending

  - `totals` (array)
    Dynamic Aggregation Row totals for columns. As for now, only one aggregation is supported for each column (same columnIndex) in the columns array.

  - `totals.columnIndex` (integer, required)
    Index of the column in the columns array

  - `totals.aggregateFunction` (string, required)
    See what aggregate functions are supported for each column in the supportedAggregateFunctions property of the GridApi_SchemaColumnDef schema
    Enum: "avg", "count_distinct", "count_rows", "max", "median", "min", "sum", "youngest", "oldest", "percentile_25", "percentile_50", "percentile_75", "percentile_90", "percentile_95", "percentile_99", "percentile_99_9", "standard_deviation", "list_unique_items"

  - `itemName` (string)

  - `customExportFileName` (string)
    Override for export file name (without file extension)

  - `fileFormat` (string)
    Format of the exported file
    Enum: "csv", "tsv", "xlsx", "parquet"

## Response 200 fields (application/json):

  - `exportId` (integer, required)
    Unique ID of a grid export

## Response 400 fields (application/json):

  - `timestamp` (string)

  - `message` (string)

  - `details` (string)

  - `validationReport` (object)

## Response 401 fields (application/json):

  - `timestamp` (string)

  - `message` (string)

  - `details` (string)

  - `validationReport` (object)

## Response 403 fields (application/json):

  - `timestamp` (string)

  - `message` (string)

  - `details` (string)

  - `validationReport` (object)


